pandoc_options {rmarkdown} | R Documentation

## Pandoc options for an output format

### Description

Define the pandoc options for an R Markdown output format.

### Usage

    pandoc_options(to, from = rmarkdown_format(), args = NULL,
      keep_tex = FALSE, latex_engine = c("pdflatex", "lualatex", "xelatex"),
      ext = NULL)

### Arguments

`to` | Pandoc format to convert to
`from` | Pandoc format to convert from
`args` | Character vector of command line arguments to pass to pandoc
`keep_tex` | Keep the intermediate tex file used in the conversion to PDF (applies only to 'latex' and 'beamer' target formats)
`latex_engine` | LaTeX engine to producing PDF output (applies only to 'latex' and 'beamer' target formats)
`ext` | File extension (e.g. ".tex") for output file (if `NULL` chooses default based on `to`). This is typically used to force the final output of a latex or beamer converstion to be `.tex` rather than `.pdf`.

### Details

The `from` argument should be used very cautiously as it's important for users to be able to rely on a stable definition of supported markdown extensions.

### Value

An list that can be passed as the `pandoc` argument of the `output_format` function.

### See Also

output_format, rmarkdown_format

[Package rmarkdown version 1.2 Index]